package org.vtokarev.controller;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * The {@code HomeServlet} class implements {@code doGet} method that processes GET {@code home} requests generated by users with any roles
 * and forward control to {@code home.jsp} view.
 *
 * @author Vyacheslav Tokarev
 */

@WebServlet(urlPatterns = "/home", name = "homeServlet")
public class HomeServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.getRequestDispatcher("/WEB-INF/jsp/home.jsp").forward(req, resp);
    }
}
